Page MenuHomePhabricator

Addition of interfaces the BE to conform to Table A-2 of ELF V2 ABI V1.1
ClosedPublic

Authored by nemanjai on Sep 25 2015, 11:45 PM.

Details

Summary

The BE portion of http://reviews.llvm.org/D13190.
There are new intrinsics for the instructions required for the vector interfaces listed in the ABI V1.1 document. There is also a change to the naming of getAltivecCompareInfo as the same infrastructure is now used for VSX comparisons. It is now named getVectorCompareInfo to illustrate that it is used for both Altivec and VSX instructions.

Diff Detail

Repository
rL LLVM

Event Timeline

nemanjai updated this revision to Diff 35796.Sep 25 2015, 11:45 PM
nemanjai retitled this revision from to Addition of interfaces the BE to conform to Table A-2 of ELF V2 ABI V1.1.
nemanjai updated this object.
nemanjai added reviewers: wschmidt, seurer, kbarton, hfinkel.
nemanjai set the repository for this revision to rL LLVM.
nemanjai added a subscriber: llvm-commits.
wschmidt edited edge metadata.Sep 28 2015, 7:48 AM

LGTM! Thanks for folding in the VSX compares to the existing infrastructure, and renaming appropriately.

wschmidt accepted this revision.Sep 28 2015, 1:52 PM
wschmidt edited edge metadata.

Sorry, forgot to accept.

This revision is now accepted and ready to land.Sep 28 2015, 1:52 PM
nemanjai closed this revision.Sep 29 2015, 10:43 AM

Committed revision 248809.